diff --git a/.github/ci/book.sh b/.github/ci/book.sh
new file mode 100644
index 000000000..285cdc8fa
--- /dev/null
+++ b/.github/ci/book.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+## on push branch=main
+
+set -euxo pipefail
+
+make -C docs
+
+export KUBECONFIG=/ci/secrets/kubeconfig.yml
+POD=$(kubectl -n embassy get po -l app=website -o jsonpath={.items[0].metadata.name})
+
+mkdir -p build
+mv docs/book build/book
+tar -C build -cf book.tar book
+kubectl exec $POD -- mkdir -p /usr/share/nginx/html
+kubectl cp book.tar $POD:/usr/share/nginx/html/
+kubectl exec $POD -- find /usr/share/nginx/html
+kubectl exec $POD -- tar -C /usr/share/nginx/html -xvf /usr/share/nginx/html/book.tar
diff --git a/docs/Makefile b/docs/Makefile
index eadcf2370..834802d3b 100644
--- a/docs/Makefile
+++ b/docs/Makefile
@@ -1,8 +1,8 @@
 all:
-	asciidoctor -d book -D thebook/ index.adoc
-	cp -r images thebook
+	asciidoctor -d book -D book/ index.adoc
+	cp -r images book
 
 clean:
-	rm -rf thebook
+	rm -rf book
 
 .PHONY: all clean
diff --git a/docs/pages/embassy_in_the_wild.adoc b/docs/pages/embassy_in_the_wild.adoc
index a7d63f990..93ff58146 100644
--- a/docs/pages/embassy_in_the_wild.adoc
+++ b/docs/pages/embassy_in_the_wild.adoc
@@ -10,8 +10,8 @@ Here are known examples of real-world projects which make use of Embassy. Feel f
 * link:https://github.com/card-io-ecg/card-io-fw[Card/IO firmware] - firmware for an open source ECG device
 ** Targets the ESP32-S3 or ESP32-C6 MCU
 * The link:https://github.com/lora-rs/lora-rs[lora-rs] project includes link:https://github.com/lora-rs/lora-rs/tree/main/examples/stm32l0/src/bin[various standalone examples] for NRF52840, RP2040, STM32L0 and STM32WL
-** link:https://github.com/matoushybl/air-force-one[Air force one: A simple air quality monitoring system]
-*** Targets nRF52 and uses nrf-softdevice
+* link:https://github.com/matoushybl/air-force-one[Air force one: A simple air quality monitoring system]
+** Targets nRF52 and uses nrf-softdevice
 
 * link:https://github.com/schmettow/ylab-edge-go[YLab Edge Go] and link:https://github.com/schmettow/ylab-edge-pro[YLab Edge Pro] projects develop 
 firmware (RP2040, STM32) for capturing physiological data in behavioural science research. Included so far are: